org.apache.lucene.search

## Class DocValuesRewriteMethod

- java.lang.Object
- - org.apache.lucene.search.MultiTermQuery.RewriteMethod
  - - org.apache.lucene.search.DocValuesRewriteMethod

-     public final class DocValuesRewriteMethod
      extends MultiTermQuery.RewriteMethod

  Rewrites MultiTermQueries into a filter, using DocValues for term enumeration.

  This can be used to perform these queries against an unindexed docvalues field.

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocValuesRewriteMethod()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `int` | `hashCode()`
    `Query` | `rewrite(IndexReader reader, MultiTermQuery query)`

    - ### Methods inherited from class org.apache.lucene.search.MultiTermQuery.RewriteMethod

      `getTermsEnum`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocValuesRewriteMethod

          public DocValuesRewriteMethod()

  - ### Method Detail

    - #### rewrite

          public Query rewrite(IndexReader reader,
                               MultiTermQuery query)

      Specified by:
        `rewrite` in class `MultiTermQuery.RewriteMethod`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.